#!/bin/sh

if [ -z "$1" ]
then
  echo "Use: getorder.sh filename.iso"
  exit
fi

isoinfo -i "$1" -l > "$1.info"
strace -o "$1.trace" -e trace=open,read,_llseek -e 'signal=!all' qemu -cdrom "$1"
./infotrace.pl "$1.info" "$1.trace" > sort.txt
